services:
  vaultwarden:
    container_name: vaultwarden
    image: vaultwarden/server:latest
    restart: unless-stopped
    volumes:
      - /home/soenke/docker-data/vaultwarden/data/:/data/
    ports:
      - 4080:80
    environment:
      - DOMAIN=https://vault.domr.ovh
      - LOGIN_RATELIMIT_MAX_BURST=10
      - LOGIN_RATELIMIT_SECONDS=60
      - ADMIN_RATELIMIT_MAX_BURST=10
      - ADMIN_RATELIMIT_SECONDS=60
      - ADMIN_TOKEN=$$argon2id$$v=19$$m=65540,t=3,p=4$$YWNhZitNS0l5eU5zNWY2enNtbjlRQTlEci9HcEdRNVROVkZkaWpRZnJnRT0$$8Ma3+XxVENBXG2Tx6tZceqGb8RscwisZK1OqT/YNl60
      - SENDS_ALLOWED=true
      - EMERGENCY_ACCESS_ALLOWED=true
      - WEB_VAULT_ENABLED=true
      - SIGNUPS_ALLOWED=false
      - SIGNUPS_VERIFY=true
      - SIGNUPS_VERIFY_RESEND_TIME=3600
      - SIGNUPS_VERIFY_RESEND_LIMIT=5
      - SIGNUPS_DOMAINS_WHITELIST=domr.ovh,home.domroese.eu,domroese.eu,192.168.1.65
      - SMTP_HOST=${SYSTEM_EMAIL_SMTP_HOST}
      - SMTP_FROM=${SYSTEM_EMAIL_USER}
      - SMTP_FROM_NAME="domr.ovh Vaultwarden"
      - SMTP_SECURITY=force_tls
      - SMTP_PORT=${SYSTEM_EMAIL_SMTP_PORT}
      - SMTP_USERNAME=${SYSTEM_EMAIL_USER}
      - SMTP_PASSWORD=${SYSTEM_EMAIL_PASSSWORD}
      - SMTP_AUTH_MECHANISM="Login"
